Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision ba9edaa568088900145bbd1004c864b7d408c38d)
+++ protocols/oscar/oscar.c	(revision 5aa9551e1909e076edf733697f77bb0dc7a7ddde)
@@ -253,6 +253,6 @@
 static int msgerrreasonlen = 25;
 
-static gboolean oscar_callback(gpointer data, gint source,
-				b_input_condition condition) {
+static void oscar_callback(gpointer data, gint source,
+				GaimInputCondition condition) {
 	aim_conn_t *conn = (aim_conn_t *)data;
 	aim_session_t *sess = aim_conn_getsess(conn);
@@ -262,5 +262,5 @@
 	if (!gc) {
 		/* gc is null. we return, else we seg SIGSEG on next line. */
-		return FALSE;
+		return;
 	}
       
@@ -268,5 +268,5 @@
 		/* oh boy. this is probably bad. i guess the only thing we 
 		 * can really do is return? */
-		return FALSE;
+		return;
 	}
 
@@ -288,5 +288,5 @@
 				c->conn = NULL;
 				if (c->inpa > 0)
-					b_event_remove(c->inpa);
+					gaim_input_remove(c->inpa);
 				c->inpa = 0;
 				c->fd = -1;
@@ -296,5 +296,5 @@
 			} else if (conn->type == AIM_CONN_TYPE_CHATNAV) {
 				if (odata->cnpa > 0)
-					b_event_remove(odata->cnpa);
+					gaim_input_remove(odata->cnpa);
 				odata->cnpa = 0;
 				while (odata->create_rooms) {
@@ -310,5 +310,5 @@
 			} else if (conn->type == AIM_CONN_TYPE_AUTH) {
 				if (odata->paspa > 0)
-					b_event_remove(odata->paspa);
+					gaim_input_remove(odata->paspa);
 				odata->paspa = 0;
 				aim_conn_kill(odata->sess, &conn);
@@ -317,13 +317,8 @@
 			}
 		}
-	} else {
-		/* WTF??? */
-		return FALSE;
-	}
-		
-	return TRUE;
-}
-
-static gboolean oscar_login_connect(gpointer data, gint source, b_input_condition cond)
+	}
+}
+
+static void oscar_login_connect(gpointer data, gint source, GaimInputCondition cond)
 {
 	struct gaim_connection *gc = data;
@@ -334,5 +329,5 @@
 	if (!g_slist_find(get_connections(), gc)) {
 		closesocket(source);
-		return FALSE;
+		return;
 	}
 
@@ -344,12 +339,10 @@
 		hide_login_progress(gc, _("Couldn't connect to host"));
 		signoff(gc);
-		return FALSE;
+		return;
 	}
 
 	aim_conn_completeconnect(sess, conn);
-	gc->inpa = b_input_add(conn->fd, GAIM_INPUT_READ,
+	gc->inpa = gaim_input_add(conn->fd, GAIM_INPUT_READ,
 			oscar_callback, conn);
-	
-	return FALSE;
 }
 
@@ -419,5 +412,5 @@
 		struct chat_connection *n = odata->oscar_chats->data;
 		if (n->inpa > 0)
-			b_event_remove(n->inpa);
+			gaim_input_remove(n->inpa);
 		g_free(n->name);
 		g_free(n->show);
@@ -438,9 +431,9 @@
 		g_free(odata->oldp);
 	if (gc->inpa > 0)
-		b_event_remove(gc->inpa);
+		gaim_input_remove(gc->inpa);
 	if (odata->cnpa > 0)
-		b_event_remove(odata->cnpa);
+		gaim_input_remove(odata->cnpa);
 	if (odata->paspa > 0)
-		b_event_remove(odata->paspa);
+		gaim_input_remove(odata->paspa);
 	aim_session_kill(odata->sess);
 	g_free(odata->sess);
@@ -450,5 +443,5 @@
 }
 
-static gboolean oscar_bos_connect(gpointer data, gint source, b_input_condition cond) {
+static void oscar_bos_connect(gpointer data, gint source, GaimInputCondition cond) {
 	struct gaim_connection *gc = data;
 	struct oscar_data *odata;
@@ -458,5 +451,5 @@
 	if (!g_slist_find(get_connections(), gc)) {
 		closesocket(source);
-		return FALSE;
+		return;
 	}
 
@@ -468,13 +461,11 @@
 		hide_login_progress(gc, _("Could Not Connect"));
 		signoff(gc);
-		return FALSE;
+		return;
 	}
 
 	aim_conn_completeconnect(sess, bosconn);
-	gc->inpa = b_input_add(bosconn->fd, GAIM_INPUT_READ,
+	gc->inpa = gaim_input_add(bosconn->fd, GAIM_INPUT_READ,
 			oscar_callback, bosconn);
 	set_login_progress(gc, 4, _("Connection established, cookie sent"));
-	
-	return FALSE;
 }
 
@@ -579,5 +570,5 @@
 	}
 	aim_sendcookie(sess, bosconn, info->cookie);
-	b_event_remove(gc->inpa);
+	gaim_input_remove(gc->inpa);
 
 	return 1;
@@ -594,5 +585,5 @@
 };
 
-static gboolean damn_you(gpointer data, gint source, b_input_condition c)
+static void damn_you(gpointer data, gint source, GaimInputCondition c)
 {
 	struct pieceofcrap *pos = data;
@@ -614,21 +605,19 @@
 		do_error_dialog(pos->gc, "Gaim was unable to get a valid hash for logging into AIM."
 				" You may be disconnected shortly.", "Login Error");
-		b_event_remove(pos->inpa);
+		gaim_input_remove(pos->inpa);
 		closesocket(pos->fd);
 		g_free(pos);
-		return FALSE;
+		return;
 	}
 	/* [WvG] Wheeeee! Who needs error checking anyway? ;-) */
 	read(pos->fd, m, 16);
 	m[16] = '\0';
-	b_event_remove(pos->inpa);
+	gaim_input_remove(pos->inpa);
 	closesocket(pos->fd);
 	aim_sendmemblock(od->sess, pos->conn, 0, 16, m, AIM_SENDMEMBLOCK_FLAG_ISHASH);
 	g_free(pos);
-	
-	return FALSE;
-}
-
-static gboolean straight_to_hell(gpointer data, gint source, b_input_condition cond) {
+}
+
+static void straight_to_hell(gpointer data, gint source, GaimInputCondition cond) {
 	struct pieceofcrap *pos = data;
 	char buf[BUF_LONG];
@@ -640,5 +629,5 @@
 			g_free(pos->modname);
 		g_free(pos);
-		return FALSE;
+		return;
 	}
 
@@ -649,6 +638,6 @@
 	if (pos->modname)
 		g_free(pos->modname);
-	pos->inpa = b_input_add(pos->fd, GAIM_INPUT_READ, damn_you, pos);
-	return FALSE;
+	pos->inpa = gaim_input_add(pos->fd, GAIM_INPUT_READ, damn_you, pos);
+	return;
 }
 
@@ -772,5 +761,5 @@
 }
 
-static gboolean oscar_chatnav_connect(gpointer data, gint source, b_input_condition cond) {
+static void oscar_chatnav_connect(gpointer data, gint source, GaimInputCondition cond) {
 	struct gaim_connection *gc = data;
 	struct oscar_data *odata;
@@ -780,5 +769,5 @@
 	if (!g_slist_find(get_connections(), gc)) {
 		closesocket(source);
-		return FALSE;
+		return;
 	}
 
@@ -789,15 +778,13 @@
 	if (source < 0) {
 		aim_conn_kill(sess, &tstconn);
-		return FALSE;
+		return;
 	}
 
 	aim_conn_completeconnect(sess, tstconn);
-	odata->cnpa = b_input_add(tstconn->fd, GAIM_INPUT_READ,
+	odata->cnpa = gaim_input_add(tstconn->fd, GAIM_INPUT_READ,
 					oscar_callback, tstconn);
-	
-	return FALSE;
-}
-
-static gboolean oscar_auth_connect(gpointer data, gint source, b_input_condition cond)
+}
+
+static void oscar_auth_connect(gpointer data, gint source, GaimInputCondition cond)
 {
 	struct gaim_connection *gc = data;
@@ -808,5 +795,5 @@
 	if (!g_slist_find(get_connections(), gc)) {
 		closesocket(source);
-		return FALSE;
+		return;
 	}
 
@@ -817,15 +804,13 @@
 	if (source < 0) {
 		aim_conn_kill(sess, &tstconn);
-		return FALSE;
+		return;
 	}
 
 	aim_conn_completeconnect(sess, tstconn);
-	odata->paspa = b_input_add(tstconn->fd, GAIM_INPUT_READ,
+	odata->paspa = gaim_input_add(tstconn->fd, GAIM_INPUT_READ,
 				oscar_callback, tstconn);
-	
-	return FALSE;
-}
-
-static gboolean oscar_chat_connect(gpointer data, gint source, b_input_condition cond)
+}
+
+static void oscar_chat_connect(gpointer data, gint source, GaimInputCondition cond)
 {
 	struct chat_connection *ccon = data;
@@ -840,5 +825,5 @@
 		g_free(ccon->name);
 		g_free(ccon);
-		return FALSE;
+		return;
 	}
 
@@ -852,14 +837,12 @@
 		g_free(ccon->name);
 		g_free(ccon);
-		return FALSE;
+		return;
 	}
 
 	aim_conn_completeconnect(sess, ccon->conn);
-	ccon->inpa = b_input_add(tstconn->fd,
+	ccon->inpa = gaim_input_add(tstconn->fd,
 			GAIM_INPUT_READ,
 			oscar_callback, tstconn);
 	odata->oscar_chats = g_slist_append(odata->oscar_chats, ccon);
-	
-	return FALSE;
 }
 
@@ -2575,5 +2558,5 @@
 	od->oscar_chats = g_slist_remove(od->oscar_chats, cc);
 	if (cc->inpa > 0)
-		b_event_remove(cc->inpa);
+		gaim_input_remove(cc->inpa);
 	aim_conn_kill(od->sess, &cc->conn);
 	g_free(cc->name);
